#!/bin/sh

rootDir=$(pwd -P)


sudo apt update -y
sudo apt install screen -y
sudo apt install curl -y
sudo apt install git wget -y


#wget https://github.com/FACT0RN/FACT0RN/releases/download/v4.23.69/factorn-f597273f3bdc-x86_64-linux-gnu.tar.gz
#tar -xvf factorn-f597273f3bdc-x86_64-linux-gnu.tar.gz
#mv factorn-f597273f3bdc factorn-run
#mkdir ~/.factorn && touch ~/.factorn/factorn.conf
#cat /dev/null > ~/.factorn/factorn.conf
#echo "rpcuser=replace" >> ~/.factorn/factorn.conf
#echo "rpcpassword=replace" >> ~/.factorn/factorn.conf
#echo "rpcbind=0.0.0.0" >> ~/.factorn/factorn.conf
#echo "rpcallowip=0.0.0.0/0" >> ~/.factorn/factorn.conf
#echo "while :" >> $rootDir/factornd.sh
#echo "do" >> $rootDir/factornd.sh
#echo "$rootDir/factorn-run/bin/factornd" >> $rootDir/factornd.sh
#echo "done" >> $rootDir/factornd.sh
#sudo apt install tor 
#echo "ControlPort 9051" | sudo tee -a /etc/tor/torrc
#echo "CookieAuthentication 1" | sudo tee -a /etc/tor/torrc
#echo "CookieAuthFileGroupReadable 1" | sudo tee -a /etc/tor/torrc


sudo apt install software-properties-common  -y
sudo add-apt-repository ppa:ubuntu-toolchain-r/test -y
sudo apt update -y
sudo apt install gmp-ecm  -y 
sudo apt install python3-pip -y
sudo apt install htop -y
sudo apt install openmpi-common -y
sudo apt install libopenmpi-dev -y
sudo apt install hwloc -y
sudo apt install gawk -y
sudo apt install bison -y
sudo apt install netcat -y
sudo apt install cmake -y
sudo apt install gmp-ecm libecm-dev -y
cd $rootDir

pip install gmpy2
pip install base58
pip install sympy
pip install numpy


cd $rootDir
git clone https://gitlab.inria.fr/cado-nfs/cado-nfs
cd cado-nfs
FLAGS_SIZE="-DSIZEOF_P_R_VALUES=8 -DSIZEOF_INDEX=8"
NO_PYTHON_CHECK="foo"
make -j $(nproc)

