#/bin/bash
export LANG=C
SHELL_PATH=$(pwd -P)
cd $SHELL_PATH
cd yafu
cpu_cores=$(lscpu | grep '^CPU(s):' | awk '{print $2}')
softSMTon=$(cat /sys/devices/system/cpu/smt/control)
echo "SMT on/off : $softSMTon"
if [ "$softSMTon" = "off" ]; then
   cpu_cores=$(( cpu_cores / 2 ))
fi
bAVX512=$(lscpu | grep avx512 | wc -l)
cand=$1

if [ "$bAVX512" = "0" ]; then
    rm -rf nfs* siqs* tunerels.out rel* && ./yafu -one -work 25 -plan custom -pretest_ratio 0.35 -threads $cpu_cores -lathreads $cpu_cores -xover 130 -snfs_xover 125 -of pqFile.txt "factor($cand)"
else
    rm -rf nfs* siqs* tunerels.out rel* && ./yafu512 -one -work 25 -plan custom -pretest_ratio 0.35 -threads $cpu_cores -lathreads $cpu_cores -xover 130 -snfs_xover 125 -of pqFile.txt "factor($cand)" 
fi

